# $Revision: 1.7 $, $Date: 2009/06/16 13:12:50 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	Data-Accessor
Summary:	Class::Data::Accessor - Inheritable, overridable class and instance data accessor creation
Summary(pl.UTF-8):	Class::Data::Accessor - tworzenie dziedzinych, przeciążalnych klas i dostępu do instancji danych
Name:		perl-Class-Data-Accessor
Version:	0.04004
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b5ea49ad12041ac8a7c1c0e111ed67d1
URL:		http://search.cpan.org/dist/Class-Data-Accessor/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::Data::Accessor is the marriage of Class::Accessor and
Class::Data::Inheritable into a single module. It is used for creating
accessors to class data that overridable in subclasses as well as in
class instances.

%description -l pl.UTF-8
Class::Data::Accessor to połączenie Class::Accessor i
Class::Data::Inheritable w pojedynczy moduł. Służy do tworzenia metod
dostępu do danych klasy przeciążalnych w podklasach, a także w
instancjach klasy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"Class::Data::Accessor")' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Class/Data/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-Data-Accessor.spec,v $
Revision 1.7  2009/06/16 13:12:50  amateja
- updated to 0.04004

Revision 1.6  2007/10/27 15:28:41  radek
- version 0.04001

Revision 1.5  2007/03/31 19:43:06  qboosh
- generic URL
- BR: perl-Module-Build

Revision 1.4  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.3  2007/02/12 00:49:24  baggins
- converted to UTF-8

Revision 1.2  2006/04/15 14:42:34  qboosh
- pl

Revision 1.1  2006/04/08 16:15:53  migo
- initial revision
